<script context="module">export const RENDERER_CONTEXT = Symbol.for('simple-markdown-svelte.renderers');
</script>

<script>import { setContext } from 'svelte';
import { defaultRenderers } from './default-renderers';
import MarkdownNode from './MarkdownNode.svelte';
export let config;
export let value = '';
export let inline = false;
setContext(RENDERER_CONTEXT, {
    ...defaultRenderers,
    ...config.renderers
});
$: node = config.parser(value, { inline });
</script>

<MarkdownNode {node} />
